Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062141 - failed to get Fedora 20 nic names (em instead of eno)
Summary: failed to get Fedora 20 nic names (em instead of eno)
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: RDO
Classification: Community
Component: openstack-packstack
Version: unspecified
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact: Ami Jeain
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-06 09:59 UTC by yfried
Modified: 2014-02-12 16:50 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-12 16:50:32 UTC


Attachments (Terms of Use)

Description yfried 2014-02-06 09:59:58 UTC
Description of problem:
fedora 20 nics are called enoX but packstack generates answer-file with emX

Version-Release number of selected component (if applicable):
openstack-packstack-2013.2.1-0.29.dev956.fc20.noarch

How reproducible:
generate packstack answer-file
cat answer_file | grep "IF="

Actual results:
CONFIG_NOVA_COMPUTE_PRIVIF=em2

Expected results:
CONFIG_NOVA_COMPUTE_PRIVIF=<nic_name>

* actual nic_name is eno2

Comment 1 Kashyap Chamarthy 2014-02-09 19:30:02 UTC
I'm pretty sure you do not have 'biosdevname' package installed, as a consequence, it's expected your network interfaces will be named as "eno1", "ens1", "enp2s0" instead of emx

Can you install the 'biosdevname' and please report back here with your results?


This is part of consistent device naming effort that started in Fedora f19:

  https://fedoraproject.org/wiki/Features/SystemdPredictableNetworkInterfaceNames#How_To_Test

Comment 2 yfried 2014-02-12 06:28:36 UTC
seems like it is installed


[root@rose11 ~]# ip a
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group default 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eno1: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP group default qlen 1000
    link/ether d4:ae:52:b9:bd:36 brd ff:ff:ff:ff:ff:ff
    inet 10.35.99.5/24 scope global dynamic eno1
       valid_lft 528sec preferred_lft 528sec
    inet6 fe80::d6ae:52ff:feb9:bd36/64 scope link 
       valid_lft forever preferred_lft forever
3: eno2: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP group default qlen 1000
    link/ether d4:ae:52:b9:bd:37 brd ff:ff:ff:ff:ff:ff
    inet6 fe80::d6ae:52ff:feb9:bd37/64 scope link 
       valid_lft forever preferred_lft forever
[root@rose11 ~]# yum search biosdevname
========================== N/S matched: biosdevname ==========================
biosdevname.x86_64 : Udev helper for naming devices per BIOS names

  Name and summary matches only, use "search all" for everything.
[root@rose11 ~]# yum install biosdevname -y
Package biosdevname-0.5.0-2.fc20.x86_64 already installed and latest version
Nothing to do

Comment 3 Lars Kellogg-Stedman 2014-02-12 16:50:32 UTC
Packstack doesn't make any attempt to enumerate your interfaces when generating an answer file.  It will always default to CONFIG_NOVA_COMPUTE_PRIVIF=em2 regardless of the local network configuration.

If you want something other than the defaults you need to edit the answer file yourself (or run packstack with the appopriate --novacompute-privif=NOVACOMPUTE_PRIVIF option).

For example:

$ ip a
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group default 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1454 qdisc pfifo_fast state UP group default qlen 1000
    link/ether fa:16:3e:3d:ce:c6 brd ff:ff:ff:ff:ff:ff
    inet 172.16.0.4/24 brd 172.16.0.255 scope global dynamic eth0
       valid_lft 112sec preferred_lft 112sec
    inet6 fe80::f816:3eff:fe3d:cec6/64 scope link 
       valid_lft forever preferred_lft forever

$ packstack --gen-answer-file answers.txt
$ grep PRIVIF answers.txt
CONFIG_NOVA_COMPUTE_PRIVIF=em2
CONFIG_NOVA_NETWORK_PRIVIF=em2


Note You need to log in before you can comment on or make changes to this bug.